Page MenuHomePhabricator

Move external data sources to HTTPS
Closed, ResolvedPublic

Description

https://github.com/kartotherian/meddo/blob/master/external-data.yml has HTTP URLs, which requires setting both https_proxy and http_proxy. It's simpler to only use HTTPS, and I believe all the files are available on HTTPS.

Also, the natural earth URLs should be double-checked to make sure they're current.

Event Timeline

Pnorman created this task.May 16 2018, 7:46 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 16 2018, 7:46 PM

Natural Earth isn't available over HTTPS. https://github.com/nvkelso/natural-earth-vector/issues/259 filed upstream, docs changed to add http proxy for static-update

Pnorman closed this task as Resolved.May 18 2018, 6:49 PM
Vvjjkkii renamed this task from Move external data sources to HTTPS to tucaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed Pnorman as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot assigned this task to Pnorman.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from tucaaaaaaa to Move external data sources to HTTPS.
CommunityTechBot added subscribers: Aklapper, gerritbot.